using Otter;

namespace PpbbffttMiningHa.entities.MapEntities
{
    public class BackDrop : Entity
    {
        private Spritemap<string> _spriteMap;

        public BackDrop(float x, float y)
        {
            X = x;
            Y = y;
            _spriteMap = new Spritemap<string>(Assets.BACKDROP, 720, 480);
            _spriteMap.Add("main", new int[] { 0 }, new float[] { 1f, 1f });
            Graphic = _spriteMap;
            _spriteMap.Play("main");
            Layer = 1;
        }

        public override void Update()
        {
            base.Update();
            //add update things?
        }
    }
}
